com.amazonaws.services.lambda.model

## Class UpdateEventSourceMappingRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.UpdateEventSourceMappingRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateEventSourceMappingRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateEventSourceMappingRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateEventSourceMappingRequest` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getBatchSize()` The maximum number of stream records that can be sent to your Lambda function for a single invocation.
`Boolean` `getEnabled()` Specifies whether AWS Lambda should actively poll the stream or not.
`String` `getFunctionName()` The Lambda function to which you want the stream records sent.
`String` `getUUID()` The event source mapping identifier.
`int` `hashCode()`
`Boolean` `isEnabled()` Specifies whether AWS Lambda should actively poll the stream or not.
`void` `setBatchSize(Integer batchSize)` The maximum number of stream records that can be sent to your Lambda function for a single invocation.
`void` `setEnabled(Boolean enabled)` Specifies whether AWS Lambda should actively poll the stream or not.
`void` `setFunctionName(String functionName)` The Lambda function to which you want the stream records sent.
`void` `setUUID(String uUID)` The event source mapping identifier.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateEventSourceMappingRequest` `withBatchSize(Integer batchSize)` The maximum number of stream records that can be sent to your Lambda function for a single invocation.
`UpdateEventSourceMappingRequest` `withEnabled(Boolean enabled)` Specifies whether AWS Lambda should actively poll the stream or not.
`UpdateEventSourceMappingRequest` `withFunctionName(String functionName)` The Lambda function to which you want the stream records sent.
`UpdateEventSourceMappingRequest` `withUUID(String uUID)` The event source mapping identifier.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateEventSourceMappingRequest

    public UpdateEventSourceMappingRequest()

### Method Detail

#### setUUID

    public void setUUID(String uUID)

The event source mapping identifier.

Parameters:
  `uUID` - The event source mapping identifier.

#### getUUID

    public String getUUID()

The event source mapping identifier.

Returns:
  The event source mapping identifier.

#### withUUID

    public UpdateEventSourceMappingRequest withUUID(String uUID)

The event source mapping identifier.

Parameters:
  `uUID` - The event source mapping identifier.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionName

    public void setFunctionName(String functionName)

The Lambda function to which you want the stream records sent.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to which you want the stream records sent.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The Lambda function to which you want the stream records sent.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The Lambda function to which you want the stream records sent.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public UpdateEventSourceMappingRequest withFunctionName(String functionName)

The Lambda function to which you want the stream records sent.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to which you want the stream records sent.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnabled

    public void setEnabled(Boolean enabled)

Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

Parameters:
  `enabled` - Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

#### getEnabled

    public Boolean getEnabled()

Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

Returns:
  Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

#### withEnabled

    public UpdateEventSourceMappingRequest withEnabled(Boolean enabled)

Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

Parameters:
  `enabled` - Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

Returns:
  Specifies whether AWS Lambda should actively poll the stream or not. If disabled, AWS Lambda will not poll the stream.

#### setBatchSize

    public void setBatchSize(Integer batchSize)

The maximum number of stream records that can be sent to your Lambda function for a single invocation.

Parameters:
  `batchSize` - The maximum number of stream records that can be sent to your Lambda function for a single invocation.

#### getBatchSize

    public Integer getBatchSize()

The maximum number of stream records that can be sent to your Lambda function for a single invocation.

Returns:
  The maximum number of stream records that can be sent to your Lambda function for a single invocation.

#### withBatchSize

    public UpdateEventSourceMappingRequest withBatchSize(Integer batchSize)

The maximum number of stream records that can be sent to your Lambda function for a single invocation.

Parameters:
  `batchSize` - The maximum number of stream records that can be sent to your Lambda function for a single invocation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateEventSourceMappingRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`